Bug 1313540 - races in upgrade exit status
races in upgrade exit status
Status: ASSIGNED
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: rpm-ostree-client (Show other bugs)
7.3
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Colin Walters
atomic-bugs@redhat.com
: Extras
Depends On:
Blocks: 1319057
  Show dependency treegraph
 
Reported: 2016-03-01 15:28 EST by Colin Walters
Modified: 2017-03-02 04:35 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1319057 (view as bug list)
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Colin Walters 2016-03-01 15:28:40 EST
See https://github.com/projectatomic/rpm-ostree/issues/220 for an upstream example. 

We also saw:

-bash-4.2# subscription-manager register --autosubscribe
Registering to: subscription.rhn.redhat.com:443/subscription
Username: qa@redhat.com
Password: 
The system has been registered with ID: b53ef0e3-eb06-4713-801c-ca9e90dc6643 

Installed Product Current Status:
Product Name: Red Hat Enterprise Linux Server
Status:       Subscribed

Product Name: Red Hat Enterprise Linux Atomic Host
Status:       Subscribed

-bash-4.2# 
-bash-4.2# atomic host upgrade
Updating from: rhel-atomic-host-ostree:rhel-atomic-host/7/x86_64/standard

27 metadata, 58 content objects fetched; 95479 KiB transferred in 6 seconds
Copying /etc changes: 31 modified, 4 removed, 54 added
Transaction complete; bootconfig swap: yes deployment count change: 1
-bash-4.2# echo $?
77
Comment 1 Micah Abbott 2016-03-01 15:35:35 EST
In the case of 'atomic host upgrade', the upgrade itself looks successful, however the output which describes the packages added/changed/removed is not printed.


-bash-4.2# atomic host status
  TIMESTAMP (UTC)         VERSION     ID             OSNAME               REFSPEC                                                        
* 2016-02-18 15:34:28     7.2.2-1     04019d7e50     rhel-atomic-host     rhel-atomic-host-ostree:rhel-atomic-host/7/x86_64/standard     
  2016-02-12 16:43:35     7.2.2       a903629278     rhel-atomic-host     rhel-atomic-host-ostree:rhel-atomic-host/7/x86_64/standard     
-bash-4.2# atomic host upgrade
Updating from: rhel-atomic-host-ostree:rhel-atomic-host/7/x86_64/standard

27 metadata, 58 content objects fetched; 95479 KiB transferred in 14 seconds
Copying /etc changes: 35 modified, 4 removed, 91 added
Transaction complete; bootconfig swap: yes deployment count change: 0
Freed objects: 107.6 MB
-bash-4.2# echo $?
77
-bash-4.2# atomic host status
  TIMESTAMP (UTC)         VERSION     ID             OSNAME               REFSPEC                                                        
  2016-03-01 01:35:21     7.2.2-2     8b2cf24b42     rhel-atomic-host     rhel-atomic-host-ostree:rhel-atomic-host/7/x86_64/standard     
* 2016-02-18 15:34:28     7.2.2-1     04019d7e50     rhel-atomic-host     rhel-atomic-host-ostree:rhel-atomic-host/7/x86_64/standard
Comment 3 Micah Abbott 2016-03-04 09:36:16 EST
Seen on Fedora 23 as well:

# atomic host status
  TIMESTAMP (UTC)         VERSION   ID             OSNAME            REFSPEC                                                
* 2016-02-26 07:10:36     23.70     13144c3ad3     fedora-atomic     fedora-atomic:fedora-atomic/f23/x86_64/docker-host     
  2016-03-02 21:10:48     23.75     6d9211c3fa     fedora-atomic     fedora-atomic:fedora-atomic/f23/x86_64/docker-host     
-bash-4.3# atomic host upgrade
Updating from: fedora-atomic:fedora-atomic/f23/x86_64/docker-host

680 metadata, 2872 content objects fetched; 142753 KiB transferred in 73 seconds
Copying /etc changes: 22 modified, 0 removed, 75 added
Transaction complete; bootconfig swap: yes deployment count change: 0
Freed objects: 159.7 MB
-bash-4.3# echo $?
77

Note You need to log in before you can comment on or make changes to this bug.